pion::plugin_manager< PluginType >::map_type Class Reference

data type that maps identifiers to plug-in objects More...

`#include <plugin_manager.hpp>`

Inherits std::map< K, T >.

## Public Member Functions

void | clear (void)

## Detailed Description

### template<typename PluginType>
class pion::plugin_manager< PluginType >::map_type

data type that maps identifiers to plug-in objects

Definition at line 168 of file plugin_manager.hpp.

The documentation for this class was generated from the following file:

- include/pion/plugin_manager.hpp